1.1

1.1

get /v1/auto-scaling-groups

Description

Auto-Scaling Group 목록을 조회한다.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.1-

Parameters

TypeNameDescriptionSchemaDefault
queryname
optional
Auto-Scaling Group 이름
Example : auto-scaling-group-name
any of [string, null]None
querystate
optional
Auto-Scaling Group 상태
Example : IN_SERVICE
any of [string, null]None
querylaunch_configuration_id
optional
Launch Configuration ID
Example : b5aea5a675fc4f6b9e0fcd1288354c5f
any of [string, null]None
querylaunch_configuration_name
optional
Launch Configuration 이름
Example : launch-configuration-name
any of [string, null]None
querylb_server_group_id
optional
LB 서버 그룹 ID
Example : d06e87d3-ca9a-461b-8e88-077a542a7335
any of [string, null]None
querysecurity_group_id
optional
Security Group ID
Example : c09c3f05-03d9-443f-b27a-40e0f973c75f
any of [string, null]None
querysubnet_id
optional
서브넷 ID
Example : 78b2ee3f074145c580ab6abac4821f97
any of [string, null]None
queryvpc_id
optional
VPC ID
Example : cc976b621087484ea5fd527f4b78708b
any of [string, null]None
querycreated_by
optional
생성자 ID
Example : 97e6b22c9a4143789ca522df7457a32f
any of [string, null]None
queryoffset
optional
목록에서 시작할 지점의 인덱스
Example : 0
any of [integer, null]0
querylimit
optional
페이지 항목 개수
Example : 20
any of [integer, null]20
querysort
optional
쉼표로 구분된 정렬 목록이며 <키>[:<방향>] 형식으로 지정
Example : created_at:desc
any of [string, null]created_at:desc,id:desc

Responses

HTTP CodeDescriptionSchema
200OKAutoScalingGroupListResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/auto-scaling-groups

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = virtualserver 1.1"

Example HTTP response

Response 200

{
    "auto_scaling_groups": [
        {
            "account_id": "a8f10467abfc4b87b64614ab36eb9ae4",
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "desired_server_count": 1,
            "desired_server_count_editable": true,
            "drain_enabled": true,
            "drain_timeout": 300,
            "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
            "launch_configuration_id": "b5aea5a675fc4f6b9e0fcd1288354c5f",
            "launch_configuration_name": "launch-configuration-name",
            "lb_server_groups": [],
            "max_server_count": 2,
            "min_server_count": 1,
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "name": "auto-scaling-group-name",
            "security_group_ids": "['c09c3f05-03d9-443f-b27a-40e0f973c75f']",
            "server_name_prefix": "server-name-prefix",
            "state": "IN_SERVICE",
            "subnet_ids": [],
            "vpc_id": "cc976b621087484ea5fd527f4b78708b"
        }
    ],
    "count": 20
}